> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onconsul.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an External Wallet

Register a new external crypto wallet scoped to a chain.
Once created, the wallet can be used as a destination for payouts.

The same wallet address can be added multiple times for use on
different chains.


## OpenAPI

````yaml post /external_wallets
openapi: 3.0.3
info:
  title: Consul API
  version: 0.0.1
servers: []
security: []
paths:
  /external_wallets:
    post:
      operationId: CreateExternalWallet
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExternalWalletRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalWallet'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    CreateExternalWalletRequest:
      additionalProperties: false
      properties:
        address:
          maxLength: 255
          minLength: 1
          type: string
        chain:
          $ref: '#/components/schemas/CryptoNetworkAndChain'
        name:
          maxLength: 255
          minLength: 1
          type: string
      required:
        - name
        - chain
        - address
      type: object
    ExternalWallet:
      additionalProperties: false
      properties:
        address:
          type: string
        chain:
          $ref: '#/components/schemas/CryptoNetworkAndChain'
        created_at:
          format: date-time
          type: string
        id:
          type: string
        name:
          type: string
        status:
          $ref: '#/components/schemas/ExternalWalletStatus'
      required:
        - id
        - name
        - chain
        - address
        - status
        - created_at
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          example: Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          example: https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          example: 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          example: Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          example: https://example.com/errors/example
          format: uri
          type: string
      type: object
    CryptoNetworkAndChain:
      enum:
        - ethereum
        - polygon
        - base
        - arbitrum
        - optimism
      type: string
    ExternalWalletStatus:
      enum:
        - active
        - archived
      type: string
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````